Subject: [Roll] Is the term 'destination prefix' appropriate in RPL and LLN

From: Alexandru Petrescu <[email-masked]>
Date: Sun, 25 Jul 2010 00:03:47 +0200

For some reason I do not like the term 'destination prefix':

> A RPL Instance may provide routes to certain destination prefixes
[...]
> The Route Information option is used to indicate that connectivity
> to the specified destination prefix is available from the DODAG
> root.
[...]
> A DAO Routing Table Entry conceptually contains the following
> elements (for storing nodes only):
[...]
> *  DAO Lifetime
>
> *  DAO Path Control
>
> o  Destination Prefix (or Address or Mcast Group)

I couldn't understand a Destination Prefix being a Mcast Group ("Mcast
Group" is probably a "multicast address" and that has no prefix length
or if it had it were 128 like an address).

Additionally, it makes little sense to talk prefixes instead of
addresses when the deployment seems to be nodes without subnets covering
them, i.e. without a prefix covering several nodes (like in an Ethernet
subnet); and which are mobile, i.e. the addresses hardly aggregatable
into a prefix, usually done according to an initial plan.

Not sure how to explain this but it is hard to me to grasp the term
"destination prefix" in the context of RPL and LLN.  I may be wrong...

Alex

---

From: JP Vasseur <[email-masked]>
Date: Sun, 25 Jul 2010 10:16:21 +0200

> "destination prefix" in the context of RPL and LLN.  I may be wrong...

Sorry but I cannot see why you don't like it.

JP.

>
> Alex
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: Alexandru Petrescu <[email-masked]>
Date: Sun, 25 Jul 2010 10:27:35 +0200

Le 25/07/2010 10:16, JP Vasseur a écrit :
>>> The Route Information option is used to indicate that
>>> connectivity to the specified destination prefix is available
>>> from the DODAG root.
>> [...]
>> I couldn't understand a Destination Prefix being a Mcast Group
>> ("Mcast Group" is probably a "multicast address" and that has no
>> prefix length or if it had it were 128 like an address).
>>
>> addresses when the deployment seems to be nodes without subnets
>> covering them, i.e. without a prefix covering several nodes (like
>> in an Ethernet subnet); and which are mobile, i.e. the addresses
>> hardly aggregatable into a prefix, usually done according to an
>> initial plan.
>>
>> Not sure how to explain this but it is hard to me to grasp the
>> term "destination prefix" in the context of RPL and LLN. I may be
>> wrong...
>

If we had pictures with actual addresses put on devices then we'd
understand better each other, I believe.  I could draw pictures if you wish.

A destination prefix (length shorter than 128) would mean a set of nodes
in that prefix.  To do that, one needs to be able to aggregate several
addresses into a prefix.  It doesn't seem the case here: we have no
subnets, nodes move, one can't have several addresses aggregated into a
prefix.

Besides, what is "MCast Group" - do you mean a multicast address.  If so
then that "destination prefix (address or multicast address)" is wrongly
written, I believe, the multicast addresses not having prefix lengths I
believe.

I could explain further, and read more.

Alex

>
> JP.
>
>>
>> Alex
>>
>> _______________________________________________ Roll mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/roll
>
>